# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "io-like"
  s.version = "0.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Jeremy Bopp"]
  s.date = "2013-08-02"
  s.description = "The IO::Like module provides the methods of an IO object based upon on a few\nsimple methods provided by the including class: unbuffered_read,\nunbuffered_write, and unbuffered_seek.  These methods provide the underlying\nread, write, and seek support respectively, and only the method or methods\nnecessary to the correct operation of the IO aspects of the including class need\nto be provided.  Missing functionality will cause the resulting object to appear\nread-only, write-only, and/or unseekable depending on which underlying methods\nare absent.\n\nAdditionally, read and write operations which are buffered in IO are buffered\nwith independently configurable buffer sizes.  Duplexed objects (those with\nseparate read and write streams) are also supported.\n"
  s.email = "jeremy at bopp dot net"
  s.extra_rdoc_files = ["CONTRIBUTORS", "HACKING", "LICENSE", "LICENSE.rubyspec", "GPL", "LEGAL", "NEWS", "README"]
  s.files = ["CONTRIBUTORS", "HACKING", "LICENSE", "LICENSE.rubyspec", "GPL", "LEGAL", "NEWS", "README"]
  s.homepage = "http://io-like.rubyforge.org"
  s.rdoc_options = ["--title", "IO::Like Documentation", "--charset", "utf-8", "--line-numbers", "--inline-source"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.1")
  s.rubyforge_project = "io-like"
  s.rubygems_version = "1.8.25"
  s.summary = "A module which provides the functionality of an IO object to any class which provides a couple of simple methods."

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
    else
    end
  else
  end
end
